<?php
session_start();

ini_set('display_errors', '1');
ini_set('display_startup_errors', '1');
error_reporting(E_ALL);  

$past = time() - 3600;
foreach ( $_COOKIE as $key => $value ) {
  setcookie( $key, $value, $past, '/' );
}

session_set_cookie_params(60);	// 60 sec keine Erhöhung des counters in Datei counter.text
$counterstand = htmlentities(intval(file_get_contents("counter.txt"))); //zählt die Aurufe

if(!isset($_SESSION['counter_ip'])){
  $counterstand++;                         //echo $counterstand;
  file_put_contents("counter.txt", $counterstand);
  $_SESSION['counter_ip'] = true;
}

require __DIR__ . ("/../init.php");

$pathInfo = $_SERVER['PATH_INFO'];        //var_dump ($pathInfo);

$routes = [
  '/index' => [
    'controller' => 'loginController',
    'method' => 'index'                    // index Methode anwenden
  ],
  '/hbc' => [
    'controller' => 'loginController',
    'method' => 'hbc'                    // index Methode anwenden
  ],
  '/stb' => [
    'controller' => 'loginController',
    'method' => 'stb'                    // index Methode anwenden
  ],
  '/fotos' => [
    'controller' => 'loginController',
    'method' => 'fotos'                    // index Methode anwenden
  ],
  '/blog' => [
    'controller' => 'loginController',
    'method' => 'blog'                    // index Methode anwenden
  ],
  '/login' => [
    'controller' => 'loginController',
    'method' => 'login'                    // index Methode anwenden
  ],
  '/logout' => [
    'controller' => 'loginController',
    'method' => 'logout'                    // index Methode anwenden
  ],
  '/impressum' => [
    'controller' => 'loginController',
    'method' => 'impressum'                    // index Methode anwenden
  ],
  '/dashboard' => [
    'controller' => 'loginController',
    'method' => 'dashboard'                // dashboard Methode anwenden
  ],
  '/settings' => [
    'controller' => 'loginController',
    'method' => 'settings'                // dashboard Methode anwenden
  ],
];

// Wenn in der PATH_INFO eine seite gespeichert wurde (z.B. /index oder /post) kann
// sie aus dem array $routes ausgelesen werden. Im array ist gespeichert, welcher
// controller zu verwenden ist und welche Methode des controllers anzuwenden ist

if (isset($routes[$pathInfo])) {      // ist eine PATH_INFO gesetzt?
  $route = $routes[$pathInfo];        // zwischenspeichern
  $controller = $container->make($route['controller']); // make für den controller setzen
  $method = $route['method'];         // Methode holen
  $controller->$method();             // Controller führt Methode aus
} else {
    header("Location: /home/public/index.php/index");
    die();
}
?>
